Get Connection
curl --request GET \
--url https://api.example.com/api/v1/connections/{connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/connections/{connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": "<string>",
"integration_type": "connectors",
"id": "<string>",
"credential_id": "<string>",
"user_id": "<string>",
"workspace_id": "<string>",
"created_by": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Connections
Get Connection
Get a connection by ID.
GET
/
api
/
v1
/
connections
/
{connection_id}
Get Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Path Parameters
Query Parameters
Include credential information
Response
Successful Response
Schema for reading connection data.
Integration name (slack, github, etc.)
Type of integration (connectors, mcp, tool, model, storage, api, custom)
Available options:
connectors, mcp, tool, model, custom, storage, api Available options:
active, inactive, testing, error, expired Human-readable label for the connection
Maximum string length:
255Integration-specific configuration